import * as ec2 from "aws-cdk-lib/aws-ec2";
import * as emr from "aws-cdk-lib/aws-emrserverless";
import * as iam from "aws-cdk-lib/aws-iam";
import * as s3 from "aws-cdk-lib/aws-s3";
import { Construct } from "constructs";
export interface EMRServerlessClusterProps extends emr.CfnApplicationProps {
    /**
     * Existing vpc id
     */
    readonly vpcId?: string;
    /**
     * The IP range (CIDR notation) for this VPC
     */
    readonly vpcCidr?: string;
    /**
     * S3 Bucket
     */
    readonly s3Bucket?: s3.IBucket;
    /**
     * Security Group
     */
    readonly securityGroup?: ec2.SecurityGroup;
    /**
     * Additional policy statements to add to the emr role
     */
    readonly additionalPolicyStatements?: iam.PolicyStatement[];
}
export declare class EMRServerlessCluster extends Construct {
    readonly vpc?: ec2.IVpc;
    readonly s3Bucket: s3.IBucket;
    readonly role: iam.Role;
    readonly emrServerlessApplication: emr.CfnApplication;
    readonly securityGroup?: ec2.SecurityGroup;
    readonly networkConfiguration: emr.CfnApplication.NetworkConfigurationProperty;
    constructor(scope: Construct, id: string, props: EMRServerlessClusterProps);
    createVpc(scope: Construct, resourceName: string, vpcCidr: string): ec2.IVpc;
}
